Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.qos.capability.software
Class J2SESupport

    java.lang.Object
      org.jini.rio.qos.capability.PlatformCapability
          org.jini.rio.qos.capability.software.J2SESupport

All Implemented Interfaces:
  Serializable, ResourceCostProducer, PlatformCapabilityMBean

    public class J2SESupport

extends PlatformCapability

The `J2SESupport` object base class for J2SE software support

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jini.rio.qos.capability.PlatformCapability
`capabilities, description, DESCRIPTION, downloadRecords, logger, MANUFACTURER, MODEL, NAME, NATIVE_LIBS, path, PROVISIONABLE, softwareLoad, STATIC, VENDOR, VERSION`

Constructor Summary
`J2SESupport()` Create a J2SESupport
`J2SESupport(String description)` Create a J2SESupport

Method Summary

Methods inherited from class org.jini.rio.qos.capability.PlatformCapability
`addSoftwareDownloadRecord, calculateResourceCost, clearAll, define, defineAll, equals, getCapabilities, getClassPath, getDescription, getName, getPath, getPlatformKeys, getSoftwareDownloadRecords, getSoftwareLoad, getType, getValue, hasBasicSupport, hashCode, loadResources, matches, remove, setClassPath, setDescription, setPath, setResourceCostModel, setSoftwareLoad, setType, supports, supports, toString, versionSupported`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### J2SESupport

    public J2SESupport()

  Create a J2SESupport

### J2SESupport

    public J2SESupport(String description)

  Create a J2SESupport

  Parameters:
    `description` - Description to use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.